Subject: Re: [HELP] BAD interrupts

From: gshan <[email-masked]>
Date: Thu, 24 Dec 2009 06:46:25 -0500

Michael Ellerman wrote:
> On Wed, 2009-12-23 at 19:41 +0530, Kumar Gopalpet-B05799 wrote:
>   
>> Hi all,
>>  
>> I am trying linux 2.6.32-rc3 in SMP mode. I am seeing a lot of BAD
>> interrupts when I do a "cat  /proc/interrupts".
>>  
>> I am running a forwarding application b/w two ethernet ports (ethernet
>> uses gianfar driver).
>>  
>> Has any one observed these BAD interrupts ? If so, can someone help me
>> in understanding why these interrupts come and how to resolve it ?
>>     
>
> You'll need to tell us what platform you're running on.
>
> The BAD interrupts come from ppc_spurious_interrupts. It's a count of
> the number of times we entered do_IRQ() (ie. took an external
> interrupt), but when we asked the interrupt controller which irq it was,
> the interrupt controller said there was no irq.
>
> Depending on your interrupt controller that might happen sometimes for
> valid reasons. Or it might indicate something is setup wrong.
>
> cheers
>   
I think it will help to show us your /proc/interrupts so that how you 
suffered
from bad interrupts.